Search documentation of wx

# wxOverlay (wx v2.5.4)

Copy Markdown View Source

Creates an overlay over an existing window, allowing for manipulations like rubberbanding, etc.

On wxOSX the overlay is implemented with native platform APIs, on the other platforms it is simulated using `wxMemoryDC`.

See:

- `wxDCOverlay`

- `wxDC`

wxWidgets docs: wxOverlay

## Summary

### Types

wxOverlay()

### Functions

destroy(This)

Destroys the object

new()
reset(This)

Clears the overlay without restoring the former state.

## Types

# wxOverlay()

    -type wxOverlay() :: wx:wx_object().

## Functions

# destroy(This)

    -spec destroy(This :: wxOverlay()) -> ok.

Destroys the object

# new()

    -spec new() -> wxOverlay().

# reset(This)

    -spec reset(This) -> ok when This :: wxOverlay().

Clears the overlay without restoring the former state.

To be done, for example, when the window content has been changed and repainted.